> ## Documentation Index
> Fetch the complete documentation index at: https://docs.keyapi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Live Detail -EchoTik

> Get detailed analytics for one or more collected TikTok live rooms by room_ids. This endpoint is useful for single-session live review, live room archiving, and checking sales, GMV, viewers, products, creator profile, and region data.

<div className="inline-flex items-center gap-2 px-4 py-2 bg-yellow-50 dark:bg-yellow-900/20 border border-yellow-200 dark:border-yellow-800 rounded-lg">
  <span className="text-base">🪙</span>
  <span className="text-sm font-medium text-yellow-900 dark:text-yellow-100"><span className="font-semibold">1 credit</span><span className="text-yellow-700 dark:text-yellow-300 ml-1">per request</span></span>
</div>

## Copy for AI

<div className="my-6 rounded-xl border border-gray-200 bg-gray-50 p-5 dark:border-gray-800 dark:bg-gray-900/40">
  <div className="min-w-0">
    <p className="text-base font-semibold text-gray-900 dark:text-gray-100">🤖 Why Code When AI Can Do It For You?</p>
    <p className="mt-1 text-sm text-gray-700 dark:text-gray-300">Stop writing code like it's 1970! Let AI do the heavy lifting - click the sparkles to copy a perfectly formatted prompt for ChatGPT, Claude, or your favorite AI assistant.</p>
  </div>

  <div className="mt-4">
    <button type="button" className="inline-flex items-center gap-2 rounded-md border border-emerald-300 bg-emerald-50 px-3 py-2 text-sm font-medium text-emerald-800 hover:bg-emerald-100 dark:border-emerald-700 dark:bg-emerald-900/30 dark:text-emerald-100 dark:hover:bg-emerald-900/50" onClick={() => navigator.clipboard.writeText("I want to make an API call to https://api.keyapi.ai/v1/tiktok/live/detail/analytics.\n\nPlease help me write code to make this API call and handle the response appropriately. Include error handling and best practices.\n\nHere are the details:\n\nEndpoint: GET https://api.keyapi.ai/v1/tiktok/live/detail/analytics\n\nDescription: Get detailed analytics for one or more collected TikTok live rooms by room_ids. This endpoint is useful for single-session live review, live room archiving, and checking sales, GMV, viewers, products, creator profile, and region data.\n\nRequired Headers:\n--header 'Authorization: Bearer <YOUR_API_KEY>'\n\nParameters:\n- room_ids (Required): One or more room IDs separated by commas.. Example: 7552598204001405710\n\nExample Response:\n{\n  \"code\": 0,\n  \"message\": \"success\",\n  \"data\": [\n    {\n      \"avatar\": \"https://echosell-images.tos-ap-southeast-1.volces.com/user-avatar/92/MS4wLjABAAAARbAbXQxL5Y226gRq9oF3-gC6noCYK4mBquMHk55r9Jxje5JytDImFa2P-r4yV7ro.jpeg\",\n      \"category\": \"Shopping & Retail\",\n      \"cover_url\": \"\",\n      \"create_time\": 1758476363,\n      \"duration\": 84090,\n      \"finish_time\": 1758560453,\n      \"followers_growth_rate\": 0.003482208132624495,\n      \"gpm\": 0,\n      \"ifl_most_category_product\": \"[{ \\\"category_name\\\":\\\"Beauty & Personal Care\\\",\\\"category_id\\\":\\\"601450\\\"}]\",\n      \"live_sale_top3_product\": \"[]\",\n      \"live_status\": 4,\n      \"live_type\": 1,\n      \"max_views_cnt\": 924,\n      \"nick_name\": \"Based Bodyworks\",\n      \"per_live_sale_30d_cnt\": 100,\n      \"per_live_sale_gmv_30d_amt\": 2894.745,\n      \"product_category_gmv_distribution\": \"[]\",\n      \"product_category_quantity_distribution\": \"[]\",\n      \"region\": \"US\",\n      \"room_id\": \"7552598204001405710\",\n      \"sales_flag\": 0,\n      \"spu_avg_price\": 0,\n      \"title\": \"HOT DEALS ON ALL PRODUCTS!!\",\n      \"total_active_product_cnt\": 0,\n      \"total_followers_growth_cnt\": 4101,\n      \"total_ifl_digg_cnt\": 31987286,\n      \"total_ifl_followers_cnt\": 1198818,\n      \"total_ifl_post_video_cnt\": 5937,\n      \"total_live_30d_cnt\": 27,\n      \"total_live_commerce_30d_cnt\": 4,\n      \"total_product_cnt\": 0,\n      \"total_sale_cnt\": 0,\n      \"total_sale_gmv_amt\": 0,\n      \"total_views_cnt\": 281956,\n      \"unique_id\": \"based\",\n      \"user_id\": \"7153432386608251946\"\n    }\n  ],\n  \"requestId\": \"de61bc0e-aac0-4657-843c-d7575368c839\"\n}")}>
      <span>✨</span>
      <span>Copy for AI</span>
    </button>
  </div>
</div>


## OpenAPI

````yaml en/tiktok.openapi.json GET /v1/tiktok/live/detail/analytics
openapi: 3.0.1
info:
  title: Tiktok API english documentation
  description: >-
    The english reference documentation of the Tiktok API includes the
    interface's purpose, parameter description, response status, and sample
    structure.
  version: 1.0.0
servers:
  - url: https://api.keyapi.ai
    description: Production
security: []
tags:
  - name: TikTok Influencer
  - name: TikTok Shop
  - name: TikTok Content
  - name: TikTok Intelligence
paths:
  /v1/tiktok/live/detail/analytics:
    get:
      tags:
        - TikTok Content
      summary: Live Detail -EchoTik
      description: >-
        Get detailed analytics for one or more collected TikTok live rooms by
        room_ids. This endpoint is useful for single-session live review, live
        room archiving, and checking sales, GMV, viewers, products, creator
        profile, and region data.
      parameters:
        - name: room_ids
          in: query
          description: One or more room IDs separated by commas.
          required: true
          example: '7552598204001405710'
          schema:
            type: string
            example: '7552598204001405710'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  message:
                    type: string
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        avatar:
                          type: string
                          description: 达人头像
                        category:
                          type: string
                          description: 达人分类
                        cover_url:
                          type: string
                          description: 直播间封面
                        create_time:
                          type: integer
                          description: 直播创建时间
                        duration:
                          type: integer
                          description: 直播时长
                        finish_time:
                          type: integer
                          description: 直播结束时间
                        followers_growth_rate:
                          type: number
                          description: 粉丝增长率
                        gpm:
                          type: integer
                        ifl_most_category_product:
                          type: string
                          description: 达人主要带货分类
                        live_sale_top3_product:
                          type: string
                          description: 直播top3商品
                        live_status:
                          type: integer
                          description: 直播状态 2=进行中，4=已结束
                        live_type:
                          type: integer
                          description: 直播类型， 1=店铺播， 2=个人播
                        max_views_cnt:
                          type: integer
                          description: 在线峰值
                        nick_name:
                          type: string
                          description: 达人昵称
                        per_live_sale_30d_cnt:
                          type: integer
                          description: 达人近30天直播销量
                        per_live_sale_gmv_30d_amt:
                          type: number
                          description: 达人近30天直播销售额
                        product_category_gmv_distribution:
                          type: string
                          description: 产品分类GMV分布
                        product_category_quantity_distribution:
                          type: string
                          description: 产品分类数量分布
                        region:
                          type: string
                          description: 地区
                        room_id:
                          type: string
                          description: 直播间ID
                        sales_flag:
                          type: integer
                          description: 是否带货， 1=带货 0=非带货
                        spu_avg_price:
                          type: integer
                          description: 直播产品均价
                        title:
                          type: string
                          description: 直播间标题
                        total_active_product_cnt:
                          type: integer
                          description: 动销产品数
                        total_followers_growth_cnt:
                          type: integer
                          description: 粉丝增长数
                        total_ifl_digg_cnt:
                          type: integer
                          description: 达人总点赞量
                        total_ifl_followers_cnt:
                          type: integer
                          description: 达人总粉丝量
                        total_ifl_post_video_cnt:
                          type: integer
                          description: 达人总发布视频数
                        total_live_30d_cnt:
                          type: integer
                          description: 达人最近30天直播数
                        total_live_commerce_30d_cnt:
                          type: integer
                          description: 达人最近30天带货直播数
                        total_product_cnt:
                          type: integer
                          description: 直播总商品数
                        total_sale_cnt:
                          type: integer
                          description: 直播总销量
                        total_sale_gmv_amt:
                          type: integer
                          description: 直播总GMV
                        total_views_cnt:
                          type: integer
                          description: 观看人次
                        unique_id:
                          type: string
                          description: 达人ID
                        user_id:
                          type: string
                          description: 达人ID
                  requestId:
                    type: string
                required:
                  - code
                  - message
                  - data
                  - requestId
              example:
                code: 0
                message: success
                data:
                  - avatar: >-
                      https://echosell-images.tos-ap-southeast-1.volces.com/user-avatar/92/MS4wLjABAAAARbAbXQxL5Y226gRq9oF3-gC6noCYK4mBquMHk55r9Jxje5JytDImFa2P-r4yV7ro.jpeg
                    category: Shopping & Retail
                    cover_url: ''
                    create_time: 1758476363
                    duration: 84090
                    finish_time: 1758560453
                    followers_growth_rate: 0.003482208132624495
                    gpm: 0
                    ifl_most_category_product: >-
                      [{ "category_name":"Beauty & Personal
                      Care","category_id":"601450"}]
                    live_sale_top3_product: '[]'
                    live_status: 4
                    live_type: 1
                    max_views_cnt: 924
                    nick_name: Based Bodyworks
                    per_live_sale_30d_cnt: 100
                    per_live_sale_gmv_30d_amt: 2894.745
                    product_category_gmv_distribution: '[]'
                    product_category_quantity_distribution: '[]'
                    region: US
                    room_id: '7552598204001405710'
                    sales_flag: 0
                    spu_avg_price: 0
                    title: HOT DEALS ON ALL PRODUCTS!!
                    total_active_product_cnt: 0
                    total_followers_growth_cnt: 4101
                    total_ifl_digg_cnt: 31987286
                    total_ifl_followers_cnt: 1198818
                    total_ifl_post_video_cnt: 5937
                    total_live_30d_cnt: 27
                    total_live_commerce_30d_cnt: 4
                    total_product_cnt: 0
                    total_sale_cnt: 0
                    total_sale_gmv_amt: 0
                    total_views_cnt: 281956
                    unique_id: based
                    user_id: '7153432386608251946'
                requestId: de61bc0e-aac0-4657-843c-d7575368c839
          headers: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 400
                  data: null
                  message: Missing required parameter
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 401
                  data: null
                  message: apiKey is null
        '402':
          description: Payment Required
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 402
                  data: null
                  message: apiKey quota is not enough
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 429
                  data: null
                  message: qps limit exceeded
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 500
                  data: null
                  message: Internal server error
      deprecated: false
      security:
        - JWT Bearer: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.keyapi.ai/v1/tiktok/live/detail/analytics?room_ids=7552598204001405710' \
              --header 'Authorization: Bearer <YOUR_API_KEY>'
        - lang: python
          label: Python
          source: |-
            import requests

            response = requests.get(
                'https://api.keyapi.ai/v1/tiktok/live/detail/analytics',
                params={"room_ids": "7552598204001405710"},
                headers={'Authorization': 'Bearer <YOUR_API_KEY>'}
            )
            print(response.json())
        - lang: javascript
          label: JavaScript
          source: >-
            const params = new URLSearchParams({"room_ids":
            "7552598204001405710"});


            const response = await
            fetch(`https://api.keyapi.ai/v1/tiktok/live/detail/analytics?${params}`,
            {
              method: 'GET',
              headers: { 'Authorization': 'Bearer <YOUR_API_KEY>' }
            });

            const data = await response.json();

            console.log(data);
components:
  securitySchemes:
    JWT Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: |-
        API key for authentication. Format: `sk_live_xxxxxxxxxxxxx`
        Get your API key from the [Dashboard](http://keyapi.ai/app/dashboard).

````